@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Kaushan+Script&family=Open+Sans&family=Poppins:ital,wght@0,200;0,400;0,700;1,300&family=Red+Hat+Display:wght@400;700;900&family=Russo+One&family=Space+Grotesk&display=swap');
*{
    padding:0;
    margin:0;
    box-sizing:border-box;
}
html{
    font-size: 14px;
    font-family: 'Popins', sans-serif;
    letter-spacing: 0.03rem;
    color:var(--gray-primary);
}
:root{
    /* colors */
    --gray-primary:#454c4f;
    --gray-muted:#A7BAC2;
    --bg-default-rgb: 255,255,255;
    --bg-default: rgb(var(--bg-default-rgb));
    --bg-container:#f7f9fa;
    --bg-default:#d2d2d2;
    --bg-muted:#f7f9fa;
    --hi-primary-rgb: 96,167,229;
    --hi-primary:rgb(var(--hi-primary-rgb));
    --hi-prime-dark:#3A85c7;
    --hi-secondary:#69BF4A;
    --hi-second-dim:#E2FAD9;
    --hi-tertiary:#feca38;
    --hi-tertiary-dim:#faf1d9;
    --fg-hi:#fff;

    /* border-radius */
    --bd-radius-strong: 42px;
    --bd-radius:12px;
    /* shadow */
     --sh-default:0px 21px 37px -17px rgba(69,76,79,0.2);
     --sh-strong:0px 22px 76px -49px #2f5270;
     --sh-hi76px:0px 22px 76px -49px #1884E1;   

     /* transitions */
     --tr-default:200ms ease-in-out;

     /* font-size */
     --fs-base:1rem;
     --fs-sm-1:0.8rem;
     --fs-lg-1:1.14rem;
     --fs-lg-2:1.29rem;

     /* font weight */
     --fw-base:400;
     --fw-light-1:300;
     --fw-heavy-1:500;
     --fw-heavy-2:600;

     /* spacing */
     --sp-base:16px;
     --sp-sm-1:calc(0.75*var(--sp-base));
     --sp-sm-2:calc(0.5*var(--sp-base));
     --sp-sm-3:calc(0.25*var(--sp-base));

     --sp-lg-1:calc(1.25*var(--sp-base));
     --sp-lg-2:calc(1.5*var(--sp-base));
     --sp-lg-3:calc(1.75*var(--sp-base));
     --sp-lg-4:calc(2.5*var(--sp-base));
     --sp-lg-5:calc(2.25*var(--sp-base));
     /* font family */
     --ff-default: 'Poppins', sans-serif;
}
body{
    display: grid;
    place-content: center;
    min-height: 100vh;
    background-image: url('../img/mainbackground.jpg');
    background-position: center;
    background-size: cover;
}
main{
    position: relative;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 63fr 150fr 77fr;
    aspect-ratio: 16/9;
    width:1440px;
    border-radius: var(--bd-radius-strong);
}
main::before{
    content:'';
    position:absolute;
    left:182px;
    top:585px;
    width:880px;
    height: 221px;
    background:var(--hi-primary-rgb);
    filter:blur(40px);
    z-index:-1;
}
article{
    display: grid;
    grid-template-rows: max-content 1fr;
    gap:calc(3*--sp-base);
    padding:var(--sp-lg-4) calc(2.635*var(--sp-base));
    border-width: 0px 1px;
    border-color: var(--bd-default);
    border-style: solid;
    background:var(--bg-container);
}
.action{
    display: grid;
    padding:var(--sp-sm-1);
    border-radius: var(--bd-radius);
    background:var(--bg-muted);
    color:var(--gray-primary);
    box-shadow: var(--sh-default);

}
.action, form{
    transition-property: box-shadow, color;
    transition: var(--tr-default);
}
.action:hover , form:hover{
    box-shadow: 0 0 0 4px rgb(var(--hi-primary-rgb),0.5);
}
.action:active{
    color:var(--hi-primary);
    box-shadow: 0 0 0 1px rgba(var(--hi-primary-rgb),0.5);
}
header.toolbar{
    display: flex;
    column-gap: var(--sp-lg-1);
}
header.toolbar .action{
    flex:0 0 auto;
    background: var(--bg-default);
}
form{
    flex:1 1 100%;
    display: flex;
    padding:var(--sp-sm-1);
    border-radius: var(--bd-radius);
    background: var(--bg-default);
    box-shadow: var(--sh-default); 
}
form input{
    flex:1 1 100%;
    border:none;
    font-family: var(--ff-default);
    letter-spacing: 0.03rem;
    color:var(--gray-primary);
    column-gap: var(--sp-sm-1);
}
form input::placeholder{
    color:var(--gray-muted);
}
form input:active, form input:focus{
    outline:none;
}
form label{
    display: grid;
}
.hi{
    position: relative;
}
.hi::before{
    --hi-size:6px;
    content:'';
    display: inline-block;
    width:var(--hi-size);
    height:var(--hi-size);
    border-radius:50%;
    border:2px solid var(--bg-default);
    background-color: var(--highlight);
}
.hi-primary{
    --highlight:var(var(--hi-primary))
}
.hi-secondary{
    --highlight:var(var(--hi-secondary))
}
.hi-primary{
    --highlight:var(var(--hi-tertiary))
}
.action.hi::before{
    position: absolute;
    right:12px;
    top:12px;
}
.dashboard{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: 6fr 7fr;
    gap:var(--sp-lg-5);
}
.dashboard >*{
    padding:var(--sp-sm-1);
    border-radius: var(--bd-radius);
    background: var(--bg-default);
}
.dashboard > .active{
    box-shadow:var(--sh-default);
}
/* 5:20 */